CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | List of all members
booster::locale::ios_info Class Reference

This class holds an external data - beyond existing fmtflags that std::ios_base holds. More...

`#include <booster/booster/locale/formatting.h>`

## Public Member Functions
void | display_flags (uint64_t flags)
void | currency_flags (uint64_t flags)
void | date_flags (uint64_t flags)
void | time_flags (uint64_t flags)
void | datetime_flags (uint64_t flags)
void | domain_id (int)
void | time_zone (std::string const &)
template<typename CharType >
void | date_time_pattern (std::basic_string< CharType > const &str)
uint64_t | display_flags () const
uint64_t | currency_flags () const
uint64_t | date_flags () const
uint64_t | time_flags () const
uint64_t | datetime_flags () const
int | domain_id () const
std::string | time_zone () const
template<typename CharType >
std::basic_string< CharType > | date_time_pattern () const

## Static Public Member Functions
static ios_info & | get (std::ios_base &ios)

## Detailed Description

This class holds an external data - beyond existing fmtflags that std::ios_base holds.

You should almost never create this object directly. Instead, you should access it via ios_info::get(stream_object) static member function. It automatically creates default formatting data for that stream

## Member Function Documentation

void booster::locale::ios_info::currency_flags | ( | uint64_t | flags | ) |

Set a flags that define how to format currency

Referenced by booster::locale::as::currency_default(), booster::locale::as::currency_iso(), and booster::locale::as::currency_national().

uint64_t booster::locale::ios_info::currency_flags | ( |  | ) | const

Get a flags that define how to format currency

void booster::locale::ios_info::date_flags | ( | uint64_t | flags | ) |

Set a flags that define how to format date

Referenced by booster::locale::as::date_default(), booster::locale::as::date_full(), booster::locale::as::date_long(), booster::locale::as::date_medium(), and booster::locale::as::date_short().

uint64_t booster::locale::ios_info::date_flags | ( |  | ) | const

Get a flags that define how to format date

template<typename CharType >

void booster::locale::ios_info::date_time_pattern | ( | std::basic_string< CharType > const & | str | ) |
| inline

Set date/time pattern (strftime like)

References booster::locale::flags::domain_id, and booster::locale::as::time_zone().

Referenced by booster::locale::as::date_full().

template<typename CharType >

std::basic_string<CharType> booster::locale::ios_info::date_time_pattern | ( |  | ) | const
| inline

Get date/time pattern (strftime like)

void booster::locale::ios_info::datetime_flags | ( | uint64_t | flags | ) |

Set a flags that define how to format both date and time

uint64_t booster::locale::ios_info::datetime_flags | ( |  | ) | const

Get a flags that define how to format both date and time

void booster::locale::ios_info::display_flags | ( | uint64_t | flags | ) |

Set a flags that define a way for format data like number, spell, currency etc.

Referenced by booster::locale::as::currency(), booster::locale::as::date(), booster::locale::as::datetime(), booster::locale::as::number(), booster::locale::operator<<(), booster::locale::operator>>(), booster::locale::as::ordinal(), booster::locale::as::percent(), booster::locale::as::posix(), booster::locale::as::spellout(), booster::locale::as::strftime(), and booster::locale::as::time().

uint64_t booster::locale::ios_info::display_flags | ( |  | ) | const

Get a flags that define a way for format data like number, spell, currency etc.

void booster::locale::ios_info::domain_id | ( | int |  | ) |

Set special message domain identification

Referenced by booster::locale::dnpgettext(), booster::locale::basic_format< CharType >::write(), and booster::locale::basic_message< char_type >::write().

int booster::locale::ios_info::domain_id | ( |  | ) | const

Get special message domain identification

static ios_info& booster::locale::ios_info::get | ( | std::ios_base & | ios | ) |
| static

Get ios_info instance for specific stream object

Referenced by booster::locale::as::currency(), booster::locale::as::currency_default(), booster::locale::as::currency_iso(), booster::locale::as::currency_national(), booster::locale::as::date(), booster::locale::as::date_default(), booster::locale::as::date_full(), booster::locale::as::date_long(), booster::locale::as::date_medium(), booster::locale::as::date_short(), booster::locale::as::datetime(), booster::locale::dnpgettext(), booster::locale::as::ftime(), booster::locale::as::gmt(), booster::locale::as::local_time(), booster::locale::as::number(), booster::locale::operator<<(), booster::locale::operator>>(), booster::locale::as::ordinal(), booster::locale::as::percent(), booster::locale::as::posix(), booster::locale::as::spellout(), booster::locale::as::strftime(), booster::locale::as::time(), booster::locale::as::time_default(), booster::locale::as::time_full(), booster::locale::as::time_long(), booster::locale::as::time_medium(), booster::locale::as::time_short(), booster::locale::basic_format< CharType >::write(), and booster::locale::basic_message< char_type >::write().

void booster::locale::ios_info::time_flags | ( | uint64_t | flags | ) |

Set a flags that define how to format time

Referenced by booster::locale::as::time_default(), booster::locale::as::time_full(), booster::locale::as::time_long(), booster::locale::as::time_medium(), and booster::locale::as::time_short().

uint64_t booster::locale::ios_info::time_flags | ( |  | ) | const

Get a flags that define how to format time

void booster::locale::ios_info::time_zone | ( | std::string const & |  | ) |

Set time zone for formatting dates and time

Referenced by booster::locale::as::ftime(), booster::locale::as::gmt(), and booster::locale::as::local_time().

std::string booster::locale::ios_info::time_zone | ( |  | ) | const

Get time zone for formatting dates and time

The documentation for this class was generated from the following file:

- booster/locale/formatting.h